CCfits 2.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CCfits::Column::InvalidDataType Class Reference

Exception thrown for invalid data type inputs. More...

`#include <Column.h>`

Inheritance diagram for CCfits::Column::InvalidDataType:

## Public Member Functions
| InvalidDataType (const String &str=string(), bool silent=true)
| Exception ctor, prefixes the string "FitsError: Incorrect data type: " before the specific message. More...
Public Member Functions inherited from CCfits::FitsException
| FitsException (const string &msg, bool &silent)
const string & | message () const
| returns the error message More...

## Detailed Description

Exception thrown for invalid data type inputs.

This exception is thrown if the user requests an implicit data type conversion to a datatype that is not one of the supported types (see fitsio.h for details).

## Constructor & Destructor Documentation

CCfits::Column::InvalidDataType::InvalidDataType | ( | const String & | str = `string()`,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "FitsError: Incorrect data type: " before the specific message.

Parameters

  str | A specific diagnostic message
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- Column.h
- Column.cxx